【活用ガイド】

[English]

JVNDB-2011-000032

WalRack におけるアップロードファイルの取扱いに関する脆弱性

概要

WalRack (Walrus File Rack CGI) にはアップロードファイルの取扱いに関する脆弱性が存在します。

WalRack は、ウェブ上にファイルをアップロードするためのインターフェースを提供する CGI です。WalRack には、アップロードファイルの取扱いに関する脆弱性が存在します。

CVSS による深刻度 (CVSS とは?)

基本値: 6.0 (警告) [IPA値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 中
  • 攻撃前の認証要否: 単一
  • 機密性への影響(C): 部分的
  • 完全性への影響(I): 部分的
  • 可用性への影響(A): 部分的

影響を受けるシステム


Walrus,Digit.
  • WalRack ver. 1.1.8 およびそれ以前
  • WalRack ver. 2.0.6 およびそれ以前

想定される影響

WalRack を設置しているサーバにおいて任意の PHP スクリプトを実行される可能性があります。
対策

[アップデートする]
開発者が提供する情報をもとに最新版へアップデートしてください。

[WalRack を使用しない]
WalRack の使用を停止してください。
ベンダ情報

Walrus,Digit.
CWEによる脆弱性タイプ一覧  CWEとは?

  1. 不適切な入力確認(CWE-20) [IPA評価]
共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2011-1329
参考情報

  1. JVN : JVN#46984044
  2. National Vulnerability Database (NVD) : CVE-2011-1329
  3. SecurityFocus : 48001
  4. ISS X-Force Database : 67641
更新履歴

[2011年05月26日]
  掲載